Name: SoQt
Version: 1.4.1
Release: alt2.M50.1
Summary: Qt GUI component toolkit library for Coin
License: GPL
Group: Development/Tools
Url: http://www.coin3d.org
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://ftp.coin3d.org/coin/src/all/SoQt-1.4.1.tar.gz

Requires: coin3d
Requires: lib%name = %version-%release

BuildRequires(pre): rpm-build-compat
BuildPreReq: libGL-devel libGLU-devel doxygen gcc-c++
BuildPreReq: libX11-devel coin3d libcoin3d-devel-static libqt4-devel

%description
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
with SGI and TGS Open Inventor, and the API is based on the API of the
InventorXt GUI component toolkit.

%package -n lib%name
Summary: Shared libraries of SoQt
Group: System/Libraries
Requires: libcoin3d

%description -n lib%name
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
with SGI and TGS Open Inventor, and the API is based on the API of the
InventorXt GUI component toolkit.

This package contains shared libraries of SoQt.

%package -n lib%name-devel
Summary: Development files for SoQt
Group: Development/C++
Requires: lib%name = %version-%release
Requires: %name = %version-%release
Requires: libcoin3d-devel
Conflicts: xinetd-devel

%description -n lib%name-devel
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
with SGI and TGS Open Inventor, and the API is based on the API of the
InventorXt GUI component toolkit.

This package contains development files for SoQt.

%package -n lib%name-devel-static
Summary: Static library of SoQt
Group: Development/C++
Requires: lib%name-devel = %version-%release
Requires: libcoin3d-devel-static

%description -n lib%name-devel-static
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
with SGI and TGS Open Inventor, and the API is based on the API of the
InventorXt GUI component toolkit.

This package contains static library of SoQt.

%package -n lib%name-devel-doc
Summary: Documentation for SoQt
Group: Development/Documentation
BuildArch: noarch

%description -n lib%name-devel-doc
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
with SGI and TGS Open Inventor, and the API is based on the API of the
InventorXt GUI component toolkit.

This package contains development documentation for SoQt.

%prep
%setup

%build
export QTDIR=%_libdir/qt4
%configure \
	--disable-static \
	--enable-html \
	--enable-man \
	--enable-html-help \
	--enable-debug=no \
	--enable-symbols=no \
	--with-doxygen=%_bindir \
	--with-x \
	--with-mesa \
	--with-coin=%prefix \
	--with-opengl=%prefix \
	--with-qt=%_libdir/qt4
%make_build

%install
touch htmlhelp/SoQt-1_4.chm
%make_install_std

install -d %buildroot%_docdir/%name
mv %buildroot%_datadir/SoQt/html %buildroot%_docdir/%name/

%files
%doc AUTHORS BUGS.txt COPYING ChangeLog FAQ LICENSE.GPL NEWS README
%_bindir/*
%_man1dir/*
%_datadir/Coin/conf/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_aclocaldir/*
%_man3dir/*

#files -n lib%name-devel-static
#_libdir/*.a

%files -n lib%name-devel-doc
%_docdir/%name

%changelog
* Mon May 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt2.M50.1
- Port for Branch 5.0

* Mon May 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt3
- Rebuild for Qt4

* Wed May 06 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt1.M50.1
- Port for Branch 5.0

* Wed May 06 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt2
- lib%name-devel: added explicit conflict with xinetd-devel

* Sun May 03 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt0.M50.1
- Port for Branch 5.0

* Sun May 03 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt1.2
- Remove common package

* Sat May 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt1.1
- Disable static library
- Fix for x86_64

* Sat May 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt1
- Initial build for Sisyphus
